Description: Expose the tests of the private function tbl_delim
Author: Rafael Laboissière <rafael@debian.org>
Bug-Debian: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=672756
Forwarded: https://savannah.gnu.org/bugs/index.php?58858
Last-Update: 2012-05-30
--- a/inst/tblwrite.m
+++ b/inst/tblwrite.m
@@ -84,6 +84,87 @@
 endfunction
 
 ## Tests
+%!shared privpath
+%! privpath = [fileparts(which('tblwrite')) filesep() 'private'];
+## Tests for tbl_delim (private function)
+%!test
+%! addpath (privpath,'-end')
+%! [d err] = tbl_delim (" ");
+%! assert (d, " ");
+%! assert (err, "");
+%! rmpath (privpath);
+## Named delimiters
+%!test
+%! addpath (privpath,'-end')
+%! [d err] = tbl_delim ("space");
+%! assert (d, " ");
+%! assert (err, "");
+%! rmpath (privpath);
+%!test
+%! addpath (privpath,'-end')
+%! [d err] = tbl_delim ("tab");
+%! assert (d, sprintf ("\t"));
+%! assert (err, "");
+%! rmpath (privpath);
+%!test
+%! addpath (privpath,'-end')
+%! [d err] = tbl_delim ("comma");
+%! assert (d, ",");
+%! assert (err, "");
+%! rmpath (privpath);
+%!test
+%! addpath (privpath,'-end')
+%! [d err] = tbl_delim ("semi");
+%! assert (d, ";");
+%! assert (err, "");
+%! rmpath (privpath);
+%!test
+%! addpath (privpath,'-end')
+%! [d err] = tbl_delim ("bar");
+%! assert (d, "|");
+%! assert (err, "");
+%! rmpath (privpath);
+## An arbitrary character
+%!test
+%! addpath (privpath,'-end')
+%! [d err] = tbl_delim ("x");
+%! assert (d, "x");
+%! assert (err, "");
+%! rmpath (privpath);
+## An arbitrary escape string
+%!test
+%! addpath (privpath,'-end')
+%! [d err] = tbl_delim ('\r');
+%! assert (d, sprintf ('\r'))
+%! assert (err, "");
+%! rmpath (privpath);
+## Errors
+%!test
+%! addpath (privpath,'-end')
+%! [d err] = tbl_delim ("bars");
+%! assert (isnan (d));
+%! assert (! isempty (err));
+%! rmpath (privpath);
+%!test
+%! addpath (privpath,'-end')
+%! [d err] = tbl_delim ("");
+%! assert (isnan (d));
+%! assert (! isempty (err));
+%! rmpath (privpath);
+%!test
+%! addpath (privpath,'-end')
+%! [d err] = tbl_delim (5);
+%! assert (isnan (d));
+%! assert (! isempty (err));
+%! rmpath (privpath);
+%!test
+%! addpath (privpath,'-end')
+%! [d err] = tbl_delim ({"."});
+%! assert (isnan (d));
+%! assert (! isempty (err));
+%! rmpath (privpath);
+##
+## Tests for tblwrite
 %!shared d, v, c, tempfilename
 %! d = [1 2;3 4];
 %! v = ["a ";"bc"];
--- a/inst/private/tbl_delim.m
+++ b/inst/private/tbl_delim.m
@@ -69,59 +69,3 @@
   endif
 
 endfunction
-
-## Tests
-## The defaults
-## NOTE: currently commented out as cant run private tests
-%!notest
-%! [d err] = tbl_delim (" ");
-%! assert (d, " ");
-%! assert (err, "");
-## Named delimiters
-%!notest
-%! [d err] = tbl_delim ("space");
-%! assert (d, " ");
-%! assert (err, "");
-%!notest
-%! [d err] = tbl_delim ("tab");
-%! assert (d, sprintf ("\t"));
-%! assert (err, "");
-%!notest
-%! [d err] = tbl_delim ("comma");
-%! assert (d, ",");
-%! assert (err, "");
-%!notest
-%! [d err] = tbl_delim ("semi");
-%! assert (d, ";");
-%! assert (err, "");
-%!notest
-%! [d err] = tbl_delim ("bar");
-%! assert (d, "|");
-%! assert (err, "");
-## An arbitrary character
-%!notest
-%! [d err] = tbl_delim ("x");
-%! assert (d, "x");
-%! assert (err, "");
-## An arbitrary escape string
-%!notest
-%! [d err] = tbl_delim ('\r');
-%! assert (d, sprintf ('\r'))
-%! assert (err, "");
-## Errors
-%!notest
-%! [d err] = tbl_delim ("bars");
-%! assert (isnan (d));
-%! assert (! isempty (err));
-%!notest
-%! [d err] = tbl_delim ("");
-%! assert (isnan (d));
-%! assert (! isempty (err));
-%!notest
-%! [d err] = tbl_delim (5);
-%! assert (isnan (d));
-%! assert (! isempty (err));
-%!notest
-%! [d err] = tbl_delim ({"."});
-%! assert (isnan (d));
-%! assert (! isempty (err));
